---
title: CanvasPattern
slug: Web/API/CanvasPattern
tags:
  - API
  - Canvas
  - Interface
  - Reference
---
<div>{{APIRef("Canvas API")}}</div>

<p>The <code><strong>CanvasPattern</strong></code> interface represents an <a href="https://en.wikipedia.org/wiki/Opaque_data_type">opaque object</a> describing a pattern, based on an image, a canvas, or a video, created by the {{domxref("CanvasRenderingContext2D.createPattern()")}} method.</p>

<p>It can be used as a {{domxref("CanvasRenderingContext2D.fillStyle", "fillStyle")}} or {{domxref("CanvasRenderingContext2D.strokeStyle", "strokeStyle")}}.</p>

<h2 id="Properties">Properties</h2>

<p><em>As an opaque object, this has no exposed property.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>There are no inherited method.</em></p>

<dl>
 <dt>{{domxref("CanvasPattern.setTransform()")}}</dt>
 <dd>Applies an {{domxref("SVGMatrix")}} or {{domxref("DOMMatrix")}} representing a linear transform to the pattern.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "the-canvas-element.html#canvaspattern", "CanvasPattern")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Added <code>setTransform()</code> method in v5.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CanvasPattern")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CanvasRenderingContext2D.createPattern()")}}</li>
 <li>The {{HTMLElement("canvas")}} element and its associated interface, {{domxref("HTMLCanvasElement")}}</li>
</ul>
